dnl
dnl pnet_csdoc2html.m4 - Locate Portable.NET's XML->HTML conversion utility.
dnl
dnl Copyright (c) 2002  Southern Storm Software, Pty Ltd.
dnl
dnl This program is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License as published by
dnl the Free Software Foundation; either version 2 of the License, or
dnl (at your option) any later version.
dnl
dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl GNU General Public License for more details.
dnl
dnl You should have received a copy of the GNU General Public License
dnl along with this program; if not, write to the Free Software
dnl Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
dnl

AC_DEFUN([PNET_CSDOC2HTML],[

dnl Make sure that pnet support is initialized.
AC_REQUIRE([PNET_INIT])

dnl Extra substitution variables.
AC_SUBST(CSDOC2HTML)

dnl Find the version of "csdoc2html" to use.
AC_PATH_PROG(CSDOC2HTML, csdoc2html,, $PNET_PATH/csdoc:${prefix}/bin:$PATH)
if test "$CSDOC2HTML" = "" ; then
	echo '**************************************************************'
	echo "Portable.NET's csdoc2html is required to build."
	echo "Use the --with-pnet option to specify Portable.NET's location."
	echo '**************************************************************'
	exit 1
fi

])
