#! /bin/sh
#
# csdocwrap.sh - Wrapper for "csdoc" to supply the correct command-line
#                options when building using "csant".
#
# Copyright (C) 2002  Southern Storm Software, Pty Ltd.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

# Variables that are inserted by "configure".
CSDOC="/usr/local/bin/csdoc"
PNET_PATH="c:/development/pnet/dotgnu-base/../pnet"

# Add other flags to the command-line.
OTHER_FLAGS=""

# Locate the directory containing "mscorlib.dll".
if test -n "$PNET_PATH" -a -f "$PNET_PATH/samples/mscorlib.dll" ; then
	OTHER_FLAGS="$OTHER_FLAGS -L$PNET_PATH/samples"
fi

# Execute the command line.
exec "$CSDOC" $OTHER_FLAGS $*
